Package org.eclipse.net4j.signal

# Class AcknowledgeCompressedStringsIndication

java.lang.Object
org.eclipse.net4j.signal.Signal
org.eclipse.net4j.signal.SignalReactor
org.eclipse.net4j.signal.Indication
org.eclipse.net4j.signal.AcknowledgeCompressedStringsIndication

All Implemented Interfaces:
  `Runnable`

public class AcknowledgeCompressedStringsIndication extends Indication

Since:
  4.7
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.signal.Signal

`NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`AcknowledgeCompressedStringsIndication(SignalProtocol<?> protocol)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`indicating(org.eclipse.net4j.util.io.ExtendedDataInputStream in)`

### Methods inherited from class org.eclipse.net4j.signal.Indication

`execute`

### Methods inherited from class org.eclipse.net4j.signal.SignalReactor

`createMonitor, monitor`

### Methods inherited from class org.eclipse.net4j.signal.Signal

`closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, handleRunException, run, toString, toString, wrapInputStream, wrapOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AcknowledgeCompressedStringsIndication

public AcknowledgeCompressedStringsIndication(SignalProtocol<?> protocol)

## Method Details

### indicating

protected void indicating(org.eclipse.net4j.util.io.ExtendedDataInputStream in) throws Exception

Specified by:
  `indicating` in class `Indication`
Throws:
  `Exception`